const paymentDetailsModel = require("../model/paymentDetailsModel.js");

exports.insertPaymentDetail = async (req, res) => {
    try {
          
        const {
          payeeName, serviceRefId, ipgId, payeeId, serviceType, serviceStatus, transctionAmount
        } = req.body;

        
        
        const blockedTicketId = await blockTicketModel.blockTicketRequest(seatSellerPayload);
        console.log("blockedTicketId:", blockedTicketId );
        res.status(200).json({ blockedTicketId: blockedTicketId });
      } catch (error) {
        console.error("Error in booking:", error.response ? error.response : error.message);
        res.status(500).json({ message: 'booking failed' });
      }
    };